Skip to main content
GET
/
v1
/
projects
/
{projectIdOrName}
/
feature-flags
/
flags
/
{flagIdOrSlug}
/
versions
listFlagVersions
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.featureFlags.listFlagVersions({
    projectIdOrName: "<value>",
    flagIdOrSlug: "<value>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
{
  "versions": [
    {
      "id": "<string>",
      "revision": 123,
      "createdAt": 123,
      "data": {
        "variants": [
          {
            "value": "<string>",
            "id": "<string>",
            "description": "<string>",
            "label": "<string>"
          }
        ],
        "environments": {},
        "seed": 123,
        "state": "active",
        "description": "<string>"
      },
      "flagId": "<string>",
      "changedEnvironments": [
        "<string>"
      ],
      "createdBy": "<string>",
      "message": "<string>",
      "metadata": {
        "creator": {
          "id": "<string>",
          "name": "<string>"
        }
      }
    }
  ],
  "pagination": {}
}

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

projectIdOrName
string
required
flagIdOrSlug
string
required

Query Parameters

limit
number
default:20
Required range: 1 <= x <= 100
cursor
string

Pagination cursor

environment
string

Environment to filter by

withMetadata
boolean
default:false

Whether to include metadata

teamId
string

The Team identifier to perform the request on behalf of.

Example:

"team_1a2b3c4d5e6f7g8h9i0j1k2l"

slug
string

The Team slug to perform the request on behalf of.

Example:

"my-team-url-slug"

Response

versions
object[]
required
pagination
object
required